<?php 
global $especial_theme_options;
$excerpt_length = especial_get_option( get_option_tree('excerpt_length', $especial_theme_options, false, false ), '40', false );
$pcategory= explode(',',get_option_tree('categories_portfolio'));
$bcategory= explode(',',get_option_tree('categories_blog'));
?>

<?php get_header(); ?>

<div id="leftsidebar">

<?php
if ( in_category($pcategory) ) { ?>
	
	<?php /* Widgetised Area */ if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar( 'Portfolio sidebar' ) ) ?>
	

<?php } elseif ( in_category($bcategory)) { ?>

<?php /* Widgetised Area */ if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar( 'Blog sidebar' ) ) ?>
    
<?php } else { 

    get_sidebar();
    
} ?>




<div style="height:10px"></div>
</div><!--//  END Left Sidebar  -->

<!--  Main Content  //-->

<div id="main_content">

<!--  Title & breadcrumb Box  //-->
<div class="title_box">

<?php /* If this is a category archive */ if (is_category()) { ?>				
				Archive for <?php echo single_cat_title(); ?>
				
 			  	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				Archive for <?php the_time('F jS, Y'); ?>
				
			 	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				Archive for <?php the_time('F, Y'); ?>
			
				<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				Archive for <?php the_time('Y'); ?>
				
			  	<?php /* If this is a search */ } elseif (is_search()) { ?>
				Search Results
				
			  	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				Author Archive
			
				<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				Blog Archives
				<?php } ?>

</div>
<div class="breadcrumb">
<span class="bread_home">&nbsp;</span><?php if (class_exists('simple_breadcrumb')) { $bc = new simple_breadcrumb; } ?>
</div>
<!--//  END Title & breadcrumb Box  -->
<div class="content_main_box">


<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

      
<!--//  Content post Box 1  -->

<div class="content_box" id="post-<?php the_ID(); ?>" style="width:629px;">

<?php if (!('open' == $post-> comment_status)){ ?>
<!--//  date and comments holder  -->
<?php include (TEMPLATEPATH . '/libraries/meta_port.php' ); ?>
<!--  END date and comments holder  //-->
<?php } else { ?>
<!--//  date and comments holder  -->
<?php include (TEMPLATEPATH . '/libraries/meta.php' ); ?>
<!--  END date and comments holder  //-->
<?php } ?> 

<h1 class="posttitle"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1>
<span class="content_box_postin">Posted in <?php the_category(', ');?></span>


<?php if( in_category($pcategory) ) {?> 


<?php if(get_post_meta($post->ID, 'vimeo_embed', true) != NULL) { ?>
<!-- Vimeo -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<div class="pr_video left">
<?php $hash = unserialize(file_get_contents_curl("http://vimeo.com/api/v2/video/$vimeo.php"));?>
<a href="http://vimeo.com/<?php echo $vimeo; ?>" rel="prettyPhoto" title=""><img src="<?php echo $hash[0]['thumbnail_medium']; ?>" alt="" width="340" height="230"/></a>
</div>

<?php } else { ?>

<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<div class="pr_video left">
<a href="http://vimeo.com/<?php echo $vimeo; ?>" rel="prettyPhoto" title="">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail(); ?>
</a>
</div>
<?php } ?>


<?php } else if(get_post_meta($post->ID, 'youtube_embed', true) != NULL) { ?>
<!-- Youtube -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="pr_video left">
<a href="http://www.youtube.com/watch?v=<?php echo $youtube; ?>" rel="prettyPhoto" title=""><img src="http://img.youtube.com/vi/<?php echo $youtube; ?>/0.jpg" width="340" height="230" /></a>
</div> 

<?php } else { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="pr_video left">
<a href="http://www.youtube.com/watch?v=<?php echo $youtube; ?>" rel="prettyPhoto" title="">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail(); ?>
</a>
</div>
<?php } ?>




<?php } else { ?>

<?php if(has_post_thumbnail()) { ?>
<div class="pr_photo left">
<a href="<?php 
if ( has_post_thumbnail() ) { 
$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' );
echo $src[0];
} else {}
?>
" rel="prettyPhoto">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail(); ?>
</a>
</div>    
<?php } else { ?>
<?php } ?>  
        
        
<?php } ?>

<?php }  else  {   ?>



<?php if(get_post_meta($post->ID, 'vimeo_embed', true) != NULL) { ?>
<!-- Vimeo -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php $vimeo = preg_replace('/\D*(\d+(\.\d+)?)/', "$1", get_post_meta($post->ID, 'vimeo_embed', true)); ?>
<div class="photo left">
<?php $hash = unserialize(file_get_contents_curl("http://vimeo.com/api/v2/video/$vimeo.php"));?>
<a href="<?php the_permalink() ?>"><img src="<?php echo $hash[0]['thumbnail_medium']; ?>" alt="" width="340" height="230"/></a>
</div>

<?php } else { ?>

<div class="photo left">
<a href="<?php the_permalink() ?>">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail(); ?>
</a>
</div>
<?php } ?>




<?php } else if(get_post_meta($post->ID, 'youtube_embed', true) != NULL) { ?>
<!-- Youtube -->
<?php if(get_option_tree('video_on_off')) { ?>
<?php
$string=get_post_meta($post->ID, 'youtube_embed', true);
$youtube=my_strip("?v=","&",$string);
?>
<div class="photo left">
<a href="<?php the_permalink() ?>"><img src="http://img.youtube.com/vi/<?php echo $youtube; ?>/0.jpg" width="340" height="230" /></a>
</div> 

<?php } else { ?>

<div class="photo left">
<a href="<?php the_permalink() ?>">
<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); ?>
<?php the_post_thumbnail(); ?>
</a>
</div>
<?php } ?>

<?php } else { ?>

<?php if(has_post_thumbnail()) { ?>
<div class="photo left">
<a href="<?php the_permalink() ?>"><?php the_post_thumbnail(); ?></a>
</div>   
<?php } else { ?>
<?php } ?>  
<?php } ?>
<?php }?>


<?php the_excerpt2($post, $excerpt_length);?>

<div class="cont_button"><a href="<?php the_permalink() ?>"><span>read more</span></a></div>
<div class="clear"></div>
</div><!--  END Content post Box 1 // -->

<?php 	endwhile; 
 include (TEMPLATEPATH . '/libraries/nav.php' ); 
		else: 
?>
        
<div class="content_box" style="width:629px;">
<h1>Nothing Found</h1>
<p>Sorry, no posts matched your criteria.</p>
</div>

<?php endif;?>    


</div>	
</div> <!-- END main-content -->


<?php get_footer(); ?>