(function() {
	tinymce.PluginManager.requireLangPack('tdl_shortcodes');
	tinymce.create('tinymce.plugins.tdl_shortcodes', {
		init : function(ed, url) {

			ed.addCommand('mcetdl_shortcodes', function() {
				ed.windowManager.open({
					file : url + '/interface.php',
					width : 410 + ed.getLang('tdl_shortcodes.delta_width', 0),
					height : 250 + ed.getLang('tdl_shortcodes.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url
				});
			});

			
			ed.addButton('tdl_shortcodes', {
				title : 'tdl_shortcodes.desc',
				cmd : 'mcetdl_shortcodes',
				image : url + '/shortcode.png'
			});

			
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('tdl_shortcodes', n.nodeName == 'IMG');
			});
		},
		
		createControl : function(n, cm) {
			return null;
		},
		getInfo : function() {
			return {
					longname  : 'tdl_shortcodes',
					author 	  : 'TemashDesignLab',
					authorurl : 'http://truethemes.mysitemyway.com',
					infourl   : 'http://truethemes.mysitemyway.com',
					version   : "1.0"
			};
		}
	});
	tinymce.PluginManager.add('tdl_shortcodes', tinymce.plugins.tdl_shortcodes);
})();


