function embedshortcode() {
	
	var shortcodetext;
	var style = document.getElementById('shortcode_panel');
	

	if (style.className.indexOf('current') != -1) {
		var selected_shortcode = document.getElementById('style_shortcode').value;
		
		
// -----------------------------
// 	LAYOUT SHORTCODES
// -----------------------------

	
if (selected_shortcode == 'two_columns'){
	shortcodetext = "[one_half]<br />Content goes here...<br />[/one_half]<br /><br />[one_half_last]<br />Content goes here...<br />[/one_half_last]<br /><br />";	
}

if (selected_shortcode == 'three_columns'){
	shortcodetext = "[one_third]<br />Content goes here...<br />[/one_third]<br /><br />[one_third]<br />Content goes here...<br />[/one_third]<br /><br />[one_third_last]<br />Content goes here...<br />[/one_third_last]<br />";	
}

if (selected_shortcode == 'two_columns_full'){
	shortcodetext = "[full_one_half]<br />Content goes here...<br />[/full_one_half]<br /><br />[full_one_half_last]<br />Content goes here...<br />[/full_one_half_last]<br /><br />";	
}

if (selected_shortcode == 'third_columns_full'){
	shortcodetext = "[full_one_third]<br />Content goes here...<br />[/full_one_third]<br /><br />[full_one_third]<br />Content goes here...<br />[/full_one_third]<br /><br />[full_one_third_last]<br />Content goes here...<br />[/full_one_third_last]<br /><br />";	
}	

if (selected_shortcode == 'fourth_columns_full'){
	shortcodetext = "[full_one_fourth]<br />Content goes here...<br />[/full_one_fourth]<br /><br />[full_one_fourth]<br />Content goes here...<br />[/full_one_fourth]<br /><br />[full_one_fourth]<br />Content goes here...<br />[/full_one_fourth]<br /><br />[full_one_fourth_last]<br />Content goes here...<br />[/full_one_fourth_last]<br /><br />";	
}	

// -----------------------------
// 	HEADING
// -----------------------------

if (selected_shortcode == 'H1_heading'){
	shortcodetext = "[H1]Content goes here...[/H1]";	
}

if (selected_shortcode == 'H2_heading'){
	shortcodetext = "[H2]Content goes here...[/H2]";	
}

if (selected_shortcode == 'H3_heading'){
	shortcodetext = "[H3]Content goes here...[/H3]";	
}

if (selected_shortcode == 'H4_heading'){
	shortcodetext = "[H4]Content goes here...[/H4]";	
}

if (selected_shortcode == 'H5_heading'){
	shortcodetext = "[H5]Content goes here...[/H5]";	
}

// -----------------------------
// 	IMAGES
// -----------------------------	

if (selected_shortcode == 'image_left'){
	shortcodetext = "[image_left image_path=\"http://www.\"   width=\"200\"   height=\"200\" ]<br />";	
}

if (selected_shortcode == 'image_right'){
	shortcodetext = "[image_right image_path=\"http://www.\"   width=\"200\"   height=\"200\" ]<br />";	
}

if (selected_shortcode == 'image_left_link'){
	shortcodetext = "[image_left_link image_link=\"http://www.\" image_path=\"http://www.\"   width=\"200\"   height=\"200\" ]<br />";	
}

if (selected_shortcode == 'image_right_link'){
	shortcodetext = "[image_right_link image_link=\"http://www.\" image_path=\"http://www.\"   width=\"200\"   height=\"200\" ]<br />";	
}

if (selected_shortcode == 'image_left_pop'){
	shortcodetext = "[image_left_pop big_image_link=\"http://www.\" image_path=\"http://www.\"   width=\"200\"   height=\"200\" gallery_name=\"Gallery Name\" description=\"Some Image Title\"]<br />";	
}

if (selected_shortcode == 'image_right_pop'){
	shortcodetext = "[image_right_pop big_image_link=\"http://www.\" image_path=\"http://www.\"   width=\"200\"   height=\"200\" gallery_name=\"Gallery Name\"  description=\"Some Image Title\"]<br />";	
}

// -----------------------------
// 	LIST SHORTCODES
// -----------------------------

if (selected_shortcode == 'checkmark'){
	shortcodetext = "[checkmark]<li>List Item 1...</li><li>List Item 2...</li><li>List Item 3...</li>[/checkmark]<br />";	
}

if (selected_shortcode == 'bulleted'){
	shortcodetext = "[bulleted]<li>List Item 1...</li><li>List Item 2...</li><li>List Item 3...</li>[/bulleted]<br />";	
}

if (selected_shortcode == 'ordlist'){
	shortcodetext = "[ordlist]<li>List Item 1...</li><li>List Item 2...</li><li>List Item 3...</li>[/ordlist]<br />";	
}

// -----------------------------
// 	OTHER SHORTCODES
// -----------------------------

if (selected_shortcode == 'divider'){
	shortcodetext = "<br />[HR]<br />";	
}		

if (selected_shortcode == 'button'){
	shortcodetext = "[button link=\"#\"  target=\"blank\"]Some button text[/button]<br />";	
}	

if (selected_shortcode == 'code'){
	shortcodetext = "[code]Code goes here...[/code]";	
}

if (selected_shortcode == 'highlight'){
	shortcodetext = "[highlight color=\"themecolor\"]Content goes here...[/highlight]";	
}	

if (selected_shortcode == 'letercaps'){
	shortcodetext = "[letercaps color=\"dropcap\"]A[/letercaps]";	
}	

if (selected_shortcode == 'blockquote'){
	shortcodetext = "[blockquote]Content goes here...[/blockquote]";	
}

if (selected_shortcode == 'table'){
	shortcodetext = "[table]<table width='100%' border='0' cellspacing='0' cellpadding='0'><br /><thead><br /><tr><br /><td class='tab_first_td'><br /><strong>Header 1</strong></td><br /><td><strong>Header 2</strong></td><br /><td><strong>Header 3</strong></td><br /><td><strong>Header 4</strong></td><br /><td class='last_td'><strong>Header 5</strong></td><br /></tr><br /></thead><br /><tr class='tab_border_none'><br /><td>Division 1</td><br /><td>Division 1</td><br /><td>Division 1</td><br /><td>Division 1</td><br /><td>Division 1</td><br /></tr><br /><tr><br /><td>Division 2</td><br /><td>Division 2</td><br /><td>Division 2</td><br /><td>Division 2</td><br /><td>Division 2</td><br /></tr><br /><tr><br /><td>Division 3</td><br /><td>Division 3</td><br /><td>Division 3</td><br /><td>Division 3</td><br /><td>Division 3</td><br /></tr><br /><tr><br /><td>Division 4</td><br /><td>Division 4</td><br /><td>Division 4</td><br /><td>Division 4</td><br /><td>Division 4</td><br /></tr><br /><tr class='tab_border_bottom_none'><br /><td>Division 1</td><br /><td>Division 2</td><br /><td>Division 3</td><br /><td>Division 4</td><br /><td>Division 5</td><br /></tr><br /></table>[/table]<br />"	;
	
}




	if ( selected_shortcode == 0 ){tinyMCEPopup.close();}}
	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, shortcodetext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}return;
}